PDA

View Full Version : LW 7.5 Eve3.framework help



bluehand
12-19-2009, 11:15 PM
Sorry to ask, but it's been a LONG time since I've used LW and I'd like to get it running again. I'm stuck with using 7.5, can't afford to upgrade. :(

When I try to launch Modeler or Lightwave, I'm receiving the following error message:

"Unable to locate "Eve3.framework"
The necessary framework could not be found.

When this is onscreen, my only option is to quit.
I have the dongle plugged in, and from checking my About This Mac, it is seeing the dongle.

Here are my specs:
iMac Intel 2.4 Core 2 Duo
OS 10.5.8

Thank you.

Phil
12-20-2009, 05:37 AM
You'll need to grab the dongle drivers and reinstall them to see if there is some form of glitch. SafeNet Inc. now own the product line and you can get the latest Eve3 drivers from this page :

http://www.safenet-inc.com/Support_and_Downloads/Download_Drivers/Sentinel_Drivers.aspx

Scroll right down to the bottom of the page.

That should be enough to persuade things to work.

bluehand
12-20-2009, 08:57 PM
I downloaded & installed everything under Mac on that page, but I'm still getting the same error?

You mentioned the dongle drivers? Is this something separate from the Eve3 download from this page?

Any other thoughts or suggestions?

Phil
12-21-2009, 02:13 AM
Hmm. Those drivers cured any issue I had back before UB LW 9.x was released. Permissions, etc. all in order? Beyond that, I'm out of ideas right now. I don't have 7.5 available to test here either.

Phil
12-21-2009, 02:18 AM
Does installing the demo version of 9.6 help?

PowerPC : ftp://lw9download:[email protected]/LightWave3D-9.6CFM.dmg
UB : ftp://lw9download:[email protected]/LightWave3D-9.6.dmg

There's also a NewTek Eve3 package :

ftp://lw9download:[email protected]/eve3_2.3.0.dmg

Kuzey
12-21-2009, 07:38 AM
It could be the location were the "Eve3.framework" is installed on an intel machine that could be the problem. Since LW7.5 and the driver were created before intel Macs came around...just a guess.

You might have to manually find the framework on your HD and move it to the right location...which I can't remember because it has been so long.

Kuzey

ramccombe
12-21-2009, 11:52 AM
I'm running 10.4.11 on a PPC and I believe my UB framework files are in /Library/Frameworks/ (that is where the read me file says they should be). I also have a couple of folders in that directory, one is "Dongle" with the Eve3, sentinel and SuperPro32 files in it and another folder called "Eve3.Framework" with aliases in it. Additional note: My 9.3.1 and 9.6 PPC versions have the framework files in the Lightwave folder. I'm not sure if 7.5 is UB or not. If not I would suspect they would go in the Lightwave folder. . Don't know if any of this helps.

Phil
12-21-2009, 01:10 PM
7.5 is certainly not UB. I'm curious whether the 9.6 CFM version shows the same issues - in which case it would be a more general problem.

Kuzey
12-21-2009, 03:09 PM
I believe that both the 9.6 CFM & 9.6 UB versions are bundle apps (special folder type)...the frameworks are located within the Modeler.app folder structure etc....so that wont help here.

Kuzey

ramccombe
12-21-2009, 05:08 PM
And there they are! Thanx for the info Kuzey.

bluehand
12-21-2009, 05:36 PM
There's also a NewTek Eve3 package :
ftp://lw9download:[email protected]/eve3_2.3.0.dmg

This fixed it!
Thanks all for your help, I really appreciate it.

Modeler runs, but crashes when I quit. I can live with that though, I'm just happy it's running again.